Save payments
curl --request POST \
--url https://sandbox.tight.com/v6/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"date": "2025-06-26",
"amount": 273479,
"description": "<string>",
"id": "ptxn_158998869",
"notes": "June Payroll",
"apiSourceId": "<string>",
"bankAccountId": "bka_7542850",
"dimensionValueIds": [
"<string>"
],
"customerId": "cus_4852707",
"vendorId": "vnd_28868401",
"categoryId": "ctg_58932890",
"glAccountId": "gla_38560327",
"children": [
{
"amount": 134051,
"glAccountId": "<string>",
"id": "tli_349412",
"apiItemId": "<string>",
"dimensionValueIds": [
"<string>"
],
"customerId": "<string>",
"vendorId": "<string>",
"categoryId": "<string>",
"invoiceId": "<string>",
"billId": "<string>"
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/payments"
payload = { "data": [
{
"date": "2025-06-26",
"amount": 273479,
"description": "<string>",
"id": "ptxn_158998869",
"notes": "June Payroll",
"apiSourceId": "<string>",
"bankAccountId": "bka_7542850",
"dimensionValueIds": ["<string>"],
"customerId": "cus_4852707",
"vendorId": "vnd_28868401",
"categoryId": "ctg_58932890",
"glAccountId": "gla_38560327",
"children": [
{
"amount": 134051,
"glAccountId": "<string>",
"id": "tli_349412",
"apiItemId": "<string>",
"dimensionValueIds": ["<string>"],
"customerId": "<string>",
"vendorId": "<string>",
"categoryId": "<string>",
"invoiceId": "<string>",
"billId": "<string>"
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
date: '2025-06-26',
amount: 273479,
description: '<string>',
id: 'ptxn_158998869',
notes: 'June Payroll',
apiSourceId: '<string>',
bankAccountId: 'bka_7542850',
dimensionValueIds: ['<string>'],
customerId: 'cus_4852707',
vendorId: 'vnd_28868401',
categoryId: 'ctg_58932890',
glAccountId: 'gla_38560327',
children: [
{
amount: 134051,
glAccountId: '<string>',
id: 'tli_349412',
apiItemId: '<string>',
dimensionValueIds: ['<string>'],
customerId: '<string>',
vendorId: '<string>',
categoryId: '<string>',
invoiceId: '<string>',
billId: '<string>'
}
],
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "ptxn_158998869",
"date": "2025-06-26",
"amount": 273479,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "PLAID",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"bankTransaction": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
}
},
"children": [
{
"id": "itm_349412",
"amount": -134051,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"apiItemId": "<string>",
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"bill": {
"id": "<string>",
"name": "<string>",
"lineItems": [
{
"id": "bli_123456",
"amount": 5001
}
]
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "ptxn_158998869",
"date": "2025-06-26",
"amount": 273479,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "PLAID",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"bankTransaction": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
}
},
"children": [
{
"id": "itm_349412",
"amount": -134051,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"apiItemId": "<string>",
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"bill": {
"id": "<string>",
"name": "<string>",
"lineItems": [
{
"id": "bli_123456",
"amount": 5001
}
]
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "ptxn_158998869",
"date": "2025-06-26",
"amount": 273479,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "PLAID",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"bankTransaction": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
}
},
"children": [
{
"id": "itm_349412",
"amount": -134051,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"apiItemId": "<string>",
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"bill": {
"id": "<string>",
"name": "<string>",
"lineItems": [
{
"id": "bli_123456",
"amount": 5001
}
]
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Payments
Save payments
Save new (or update existing) payments
POST
/
v6
/
payments
Save payments
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I